com.amazonaws.codegen.emitters.tasks

## Class SmokeTestsGeneratorTasks

- java.lang.Object
- - com.amazonaws.codegen.emitters.tasks.BaseGeneratorTasks
  - - com.amazonaws.codegen.emitters.tasks.SmokeTestsGeneratorTasks

All Implemented Interfaces:
  Iterable<GeneratorTask>

    public class SmokeTestsGeneratorTasks
    extends BaseGeneratorTasks

### Field Summary

### Fields inherited from class com.amazonaws.codegen.emitters.tasks.BaseGeneratorTasks

`freemarker, log, model`

### Constructor Summary

Constructors
Constructor and Description
`SmokeTestsGeneratorTasks(GeneratorTaskParams params)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<GeneratorTask>` `createTasks()`
`protected boolean` `hasTasks()` Hook to allow subclasses to indicate they have no tasks so they can assume when createTasks is called there's something to emit.

### Methods inherited from class com.amazonaws.codegen.emitters.tasks.BaseGeneratorTasks

`info, iterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### SmokeTestsGeneratorTasks

    public SmokeTestsGeneratorTasks(GeneratorTaskParams params)

### Method Detail

#### hasTasks

    protected boolean hasTasks()

Description copied from class: `BaseGeneratorTasks`
Hook to allow subclasses to indicate they have no tasks so they can assume when createTasks is called there's something to emit.

Overrides:
  `hasTasks` in class `BaseGeneratorTasks`

#### createTasks

    public List<GeneratorTask> createTasks()
                                    throws Exception

Specified by:
  `createTasks` in class `BaseGeneratorTasks`
Throws:
  `Exception`